Mir

mir_demo_standalone_render_overlays fails to link

Bug #1677239 reported by Alan Griffiths on 2017-03-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mir
Critical
Alan Griffiths
0.26
Critical
Alan Griffiths
mir (Ubuntu)
Critical
Unassigned
Xenial
Undecided
Unassigned
Yakkety
Undecided
Unassigned
Zesty
Undecided
Unassigned

Bug Description

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=zesty/4453/console

11:41:20 [ 52%] Linking CXX executable ../../../../bin/mir_demo_standalone_render_overlays.bin
11:41:20 cd /<<BUILDDIR>>/mir-0.26.1+17.04.20170209.1+zesty4503bzr4124/obj-x86_64-linux-gnu/src/platforms/android/utils && /usr/bin/cmake -E cmake_link_script CMakeFiles/mir_demo_standalone_render_overlays.dir/link.txt --verbose=1
11:41:20 /usr/lib/ccache/c++ -g -O2 -fdebug-prefix-map=/<<BUILDDIR>>/mir-0.26.1+17.04.20170209.1+zesty4503bzr4124=. -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -pthread -g -std=c++14 -Werror -Wall -fno-strict-aliasing -pedantic -Wnon-virtual-dtor -Wextra -fPIC -flto -ffat-lto-objects -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,--as-needed -Wl,--no-undefined CMakeFiles/mir_demo_standalone_render_overlays.dir/render_overlays.cpp.o -o ../../../../bin/mir_demo_standalone_render_overlays.bin -rdynamic ../../../../lib/libmirplatform.so.16 ../../../../lib/libmircommon.so.7 ../../../capnproto/libmircapnproto.a -lkj -lcapnp ../../../../lib/libmircore.so.1 -lboost_date_time -lboost_system -lboost_program_options -lboost_filesystem -ldl -lEGL -lGLESv2 -lGLESv2 -L/lib/x86_64-linux-gnu -ludev -ludev
11:41:21 //usr/lib/x86_64-linux-gnu/libmirclient.so.9: undefined reference to `MirInputDeviceStateEvent::device_pressed_keys_for_index(unsigned long, unsigned long) const@MIR_COMMON_0.25_PRIVATE'
11:41:21 //usr/lib/x86_64-linux-gnu/libmirclient.so.9: undefined reference to `MirPointerEvent::set_x(float)@MIR_COMMON_0.25_PRIVATE'
11:41:21 //usr/lib/x86_64-linux-gnu/libmirclient.so.9: undefined reference to `MirTouchEvent::pressure(unsigned long) const@MIR_COMMON_0.25_PRIVATE'

mir-ci-bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.27.0

Changed in mir:
status: In Progress → Fix Committed
Changed in mir (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Daniel van Vugt (vanvugt) wrote :

Fix committed to lp:mir/0.26 at revision 4053, scheduled for release in Mir 0.26.3

tags: removed: testsfail

Hello Alan, or anyone else affected,

Accepted mir into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mir/0.26.3+16.04.20170510-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mir (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Alan Griffiths (alan-griffiths) wrote :

Tested version 0.26.3+16.04.20170510-0ubuntu1

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mir - 0.26.3+17.10.20170526.3-0ubuntu1

---------------
mir (0.26.3+17.10.20170526.3-0ubuntu1) artful; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.3 (https://launchpad.net/mir/+milestone/0.26.3)
    - Enhancements:
      . Make deprecations optional (and default to off for builds on 16.04 LTS)
      . Added support for building on Ubuntu 17.10 artful.
    - Bugs fixed:
      . Mir needs to be updated to 0.26 in 16.04LTS (LP: #1685186)
      . unity-system-compositor crashed with SIGSEGV in
        libinput_device_config_accel_is_available() from
        libinput_device_config_accel_set_speed() from
        mir::input::evdev::LibInputDevice::apply_settings() (LP: #1672955)
      . Please transition to Boost 1.62 (LP: #1675138)
      . Mir sending key repeat events continually to nested shell after VT
        switch (causes Unity8 lockup for a while) (LP: #1675357)
      . mir_demo_standalone_render_overlays fails to link (LP: #1677239)

 -- Alan Griffiths <email address hidden> Fri, 26 May 2017 16:57:20 +0000

Changed in mir (Ubuntu):
status: Triaged → Fix Released
Chris Halse Rogers (raof) wrote :

Hello Alan, or anyone else affected,

Accepted mir into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mir/0.26.3+16.04.20170605-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Changed in mir (Ubuntu Yakkety):
status: New → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Alan, or anyone else affected,

Accepted mir into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mir/0.26.3+16.10.20170605-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Chris Halse Rogers (raof) wrote :

Hello Alan, or anyone else affected,

Accepted mir into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mir/0.26.3+17.04.20170605-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mir (Ubuntu Zesty):
status: New → Fix Committed
Michał Sawicz (saviq) wrote :

Tested:
xenial: 0.26.3+16.04.20170605-0ubuntu1
yakkety: 0.26.3+16.10.20170605-0ubuntu1
zesty: 0.26.3+17.04.20170605-0ubuntu1

All is fine.

tags: added: verification-done
removed: verification-needed
tags: added: verification-done-xenial verification-done-yakkety verification-done-zesty
removed: verification-done

The verification of the Stable Release Update for mir has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mir - 0.26.3+16.10.20170605-0ubuntu1

---------------
mir (0.26.3+16.10.20170605-0ubuntu1) yakkety; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.3 (https://launchpad.net/mir/+milestone/0.26.3)
    - Enhancements:
      . Make deprecations optional (and default to off for builds on 16.04 LTS)
      . Added support for building on Ubuntu 17.10 artful.
    - Bugs fixed:
      . Mir needs to be updated to 0.26 in 16.04LTS (LP: #1685186)
      . unity-system-compositor crashed with SIGSEGV in
        libinput_device_config_accel_is_available() from
        libinput_device_config_accel_set_speed() from
        mir::input::evdev::LibInputDevice::apply_settings() (LP: #1672955)
      . Please transition to Boost 1.62 (LP: #1675138)
      . Mir sending key repeat events continually to nested shell after VT
        switch (causes Unity8 lockup for a while) (LP: #1675357)
      . mir_demo_standalone_render_overlays fails to link (LP: #1677239)

 -- Michał Sawicz <email address hidden> Mon, 05 Jun 2017 13:46:05 +0000

Changed in mir (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mir - 0.26.3+16.04.20170605-0ubuntu1

---------------
mir (0.26.3+16.04.20170605-0ubuntu1) xenial; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.3 (https://launchpad.net/mir/+milestone/0.26.3)
    - Enhancements:
      . Make deprecations optional (and default to off for builds on 16.04 LTS)
      . Added support for building on Ubuntu 17.10 artful.
    - Bugs fixed:
      . Mir needs to be updated to 0.26 in 16.04LTS (LP: #1685186)
      . unity-system-compositor crashed with SIGSEGV in
        libinput_device_config_accel_is_available() from
        libinput_device_config_accel_set_speed() from
        mir::input::evdev::LibInputDevice::apply_settings() (LP: #1672955)
      . Please transition to Boost 1.62 (LP: #1675138)
      . Mir sending key repeat events continually to nested shell after VT
        switch (causes Unity8 lockup for a while) (LP: #1675357)
      . mir_demo_standalone_render_overlays fails to link (LP: #1677239)

 -- Michał Sawicz <email address hidden> Mon, 05 Jun 2017 11:01:05 +0000

Changed in mir (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mir - 0.26.3+17.04.20170605-0ubuntu1

---------------
mir (0.26.3+17.04.20170605-0ubuntu1) zesty; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.3 (https://launchpad.net/mir/+milestone/0.26.3)
    - Enhancements:
      . Make deprecations optional (and default to off for builds on 16.04 LTS)
      . Added support for building on Ubuntu 17.10 artful.
    - Bugs fixed:
      . Mir needs to be updated to 0.26 in 16.04LTS (LP: #1685186)
      . unity-system-compositor crashed with SIGSEGV in
        libinput_device_config_accel_is_available() from
        libinput_device_config_accel_set_speed() from
        mir::input::evdev::LibInputDevice::apply_settings() (LP: #1672955)
      . Please transition to Boost 1.62 (LP: #1675138)
      . Mir sending key repeat events continually to nested shell after VT
        switch (causes Unity8 lockup for a while) (LP: #1675357)
      . mir_demo_standalone_render_overlays fails to link (LP: #1677239)

 -- Michał Sawicz <email address hidden> Mon, 05 Jun 2017 11:04:47 +0000

Changed in mir (Ubuntu Zesty):
status: Fix Committed → Fix Released
Changed in mir:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers